###########################################################################
# File:				sql_eg.tcl
# Author:			M Shaw
# Purpose:			Example SQLite code for TICOL.MAN help file
# Prerequisite:		albums.db
# Language:			Ticol Tcl v1.19+..v1.26+
#
# Versions:
# 1.00 02/Aug/2016	First version
# 1.05 18/Dec/2016	Bugfixes
###########################################################################
# Notes: 
###########################################################################

set QueryString "SELECT * from Artists"

set QueryString "SELECT t1.ArtistName,CDs.Title,CDs.date, CDs.CDID\
			FROM Artists t1, CDs\
			Where t1.ArtistID = CDs.ArtistID\
			ORDER BY ArtistName, CDs.Date ASC "


# Example for help file
lib ticol_sqlite -verbose
lib ticol_variant -verbose
newline

set handle [sql open ".\\albums.db"]
#puts "handle=$handle"
if { $handle } {             				# Null is not returned for file not found
	set v [sql query $handle $QueryString]
	set rows [varray count $v]				# Number of columns?
	set cols [varray count $v 2]			# Number of columns?
	textcolor yellow
	puts "Retrieved table has $rows row(s) including header, and $cols column(s)"
	textcolor
	newline
	printf "Rec "
	for {set i 0} {< $i $cols} {incr i} {
		printf "%-20s " [varray get v 0 $i]
	}
	newline
	printf "[string repeat - 80]\n"
	for {set j 1} {< $j $rows} {incr j} {
		textcolor 10
		printf "%3i " $j
		for {set i 0} {< $i $cols} {incr i} {
			textcolor [+ $i 11]
			printf "%-20.20s " [varray get v $j $i]
		}
		newline
	}
	textcolor
	sql free v
} else {
	die "Can't open SQL database"
}

################################################
newline
textcolor green
puts "* PASS *"
textcolor

# EOF #